Bug 815090 - [abrt] pitivi-0.15.1-1.fc17: stream.py:345:get_stream_for_caps:AttributeError: 'NoneType' object has no attribute 'to_string'
[abrt] pitivi-0.15.1-1.fc17: stream.py:345:get_stream_for_caps:AttributeError...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:f929400c015322db7c6cb720b1a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 08:34 EDT by gareth foster
Modified: 2013-02-20 09:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-20 09:31:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gareth foster 2012-04-22 08:34:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/pitivi
comment:        Tried to render my video again, it still either doesn't work or crashes every time.
executable:     /usr/bin/pitivi
kernel:         3.3.2-1.fc17.x86_64
time:           Sun 22 Apr 2012 01:33:00 PM BST
uid:            1000
username:       earthworm

backtrace:
:stream.py:345:get_stream_for_caps:AttributeError: 'NoneType' object has no attribute 'to_string'
:
:Traceback (most recent call last):
:  File "/usr/share/pitivi/python/pitivi/ui/encodingdialog.py", line 692, in _renderButtonClickedCb
:    self.startAction()
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 151, in startAction
:    self.addAction()
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 102, in addAction
:    self.action = self._createAction(sources)
:  File "/usr/share/pitivi/python/pitivi/actioner.py", line 230, in _createAction
:    self.have_video, self.have_audio)
:  File "/usr/share/pitivi/python/pitivi/settings.py", line 605, in export_settings_to_render_settings
:    astream = get_stream_for_caps(export.getAudioCaps())
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 345, in get_stream_for_caps
:    log.debug("stream", "caps:%s, pad:%r" % (caps.to_string(), pad))
:AttributeError: 'NoneType' object has no attribute 'to_string'
:
:Local variables in innermost frame:
:pad: None
:caps: None

smolt_data:
:
:
:General
:=================================
:UUID: 4039ff98-8940-402d-9b33-2ae187eb7a66
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4987.51
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T9300  @ 2.50GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2500
:System Memory: 1984
:System Swap: 2999
:Vendor: Apple Inc.
:System: MacBookPro4,1 1.0
:Form factor: Unknown
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4203:163) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:32902:0) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(5348:17192:4203:140) pci, b43-pci-bridge, NETWORK, BCM4321 802.11a/b/g/n
:(32902:10302:4203:163) pci, None, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10280:4203:163) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10320:4203:163) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4203:163) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(4523:17258:4523:186) pci, sky2, ETHERNET, 88E8058 PCI-E Gigabit Ethernet Controller
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4203:163) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4203:163) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:4203:163) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10294:4203:163) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4203:163) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(32902:10307:0:0) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(32902:10303:0:0) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10311:0:0) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:4203:163) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:0:0) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4203:163) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(4318:1031:4203:163) pci, nouveau, VIDEO, G84 [GeForce 8600M GT]
:(32902:10313:0:0) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 6
:(4172:32805:0:0) pci, firewire_ohci, FIREWIRE, TSB82AA2 IEEE-1394b Link Layer Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda7 / ext4 4096 4096 4847638 3767831 3524644 1218224 1079476 1079476
:/dev/sda4 /boot ext3 4096 4096 504776 482183 456583 128000 127718 127718
:/dev/sda6 /home ext4 4096 4096 28643963 10968419 9534128 7176192 7125663 7125663
:
Comment 1 Stéphane Téletchéa 2012-07-27 08:13:01 EDT
I was trying to render a h264 file into a "N800" profile. The input file is correctly handled via the "gstreamer-ugly" from RPMfusion.

Package: pitivi-0.15.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Note You need to log in before you can comment on or make changes to this bug.